import 'package:didvan/models/ai/tools_model.dart';
import 'package:didvan/views/ai/ai_state.dart';
import 'package:didvan/views/ai/widgets/tool_category_view_widget.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class ToolScreen extends StatelessWidget {
  const ToolScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final Tools? tool = context.watch<AiState>().tool;

    if (tool == null) {
      return const Center(child: Text("ابزاری انتخاب نشده است."));
    }
    return ToolCategoryViewWidget(tool: tool);
  }
}